/**
 * 控制面板相关控制器
 *
 * @author CaiAoLin
 * @date 2017/6/2
 * @version
 */
import BaseController from "../../common/base/base_controller";

class DashboardController extends BaseController {

    /**
     * 一级菜单显示
     *
     * @var {string}
     */
    static parentTitle = '后台管理';

    /**
     * 一级菜单
     *
     * @var {string}
     */
    static parentIndex = 'manager';


    /**
     * 控制面板首页
     *
     * @param {object} request
     * @param {object} response
     * @return {void}
     */
    index(request, response) {
        let renderData = {
            parentTitle: DashboardController.parentTitle,
            parentIndex: DashboardController.parentIndex,
            layout: 'users/views/layout/layout'
        };
        response.render('users/views/dashboard/index', renderData);
    }

}

export default DashboardController;