/**
 * 前台用户相关数据模型
 *
 * @author CaiAoLin
 * @date 2017/6/12
 * @version
 */
import BaseModel from "../../common/base/base_model";
import UserSchema from "./schemas/user";

class UserModel extends BaseModel {

    /**
     * 企业所在地区
     *
     * @var {object}
     */
    province = ['广东省', '北京市'];

    /**
     * 企业类型
     *
     * @var
     */
    companyType = ['设计', '施工'];

    /**
     * 企业规模
     *
     * @var
     */
    companyScale = ['1-20', '20-50', '50-100', '100+'];

    /**
     * 构造函数
     *
     * @return {void}
     */
    constructor() {
        let parent = super();
        parent.model = UserSchema;
        parent.init();
    }

    /**
     * 获取列表
     *
     * @param {object} condition
     * @param {number} page
     * @return {promise}
     */
    async getList(condition = null, page = 1) {
        page = parseInt(page);
        page = page <= 1 ? 1 : page;
        let option = {page: page};
        let userList = await this.db.find(condition, null, option);
        userList = userList.length > 0 ? userList : [];

        return userList;
    }

}

export default UserModel;